Subject: Re: SendTarget Options in UNH v-.11 code.

From: "Robert D. Russell" <[email-masked]>
Date: Sat, 24 Aug 2002 09:49:45 -0400 (EDT)

Hi Shesha:

There is no problem to be fixed here -- everything is performing exactly
as it is supposed to!

According to the standard, the SendTargets key can ONLY be sent during
Full Feature Phase.  Therefore, when the initiator sends it during
login (because of the iscsi_manage command you used), the target
correctly gives an error and terminates the login.  The initiator,
upon receiving the Login error response, also terminates the login
and reports the error at the shell level.
Nothing to fix -- what were you thinking should happen?

Best,
Bob Russell

On Sat, 24 Aug 2002, shesha bhushan wrote:

> Hi,
>   I am using UNH iSCSI code on Redhat Linux boxes. How to specify the
> "SendTarget" options at the initiator. If I specify as manage parameters
> (./iscsi_manage InitiatorName=abc TargetName=xyz SendTargets=all host=0)
> then at the target side it gives the following error ....
>
> --------------------------------------------------------------------------
> Aug 23 20:32:04 kernel: 1287: Got key: SendTargets=all
> Aug 23 20:32:04 kernel: ../common/text_param.h:scan_input_and_process:2411:
> ***ERROR*** SendTargets can only be used in full feature phase
> --------------------------------------------------------------------------
>
> Now at the initiator side it gives the followimg error at shell
>
> /proc/scsi/iscsi_initiator/0: Software caused connection abort
>
>
> and the error that is logged in /var/log/message is
>
> -----------------------------------------------------------------------
>
> Aug 23 20:50:44 kernel: ../common/text_param.h:check_login_response:1848:
> ***ERROR*** Login Response with StatusClass 0x02, StatusDetail 0x00
>
> Aug 23 20:50:44 kernel: 3702: parameter negotiation failed
> -----------------------------------------------------------------------
>
> How can I fix this problem. Please advice.
>
> Thanks
> Shesha
>
>
>
>
>
> _________________________________________________________________
> MSN Photos is the easiest way to share and print your photos:
> http://photos.msn.com/support/worldwide.aspx
>

---

From: "shesha bhushan" <[email-masked]>
Date: Sat, 24 Aug 2002 03:55:20 +0000

Hi,

Thanks
Shesha